import request from '@/utils/request'

// 查询一体机设备勾选列表
export function listOnepc(query) {
  return request({
    url: '/laboratory/onepc/list',
    method: 'get',
    params: query
  })
}

// 查询一体机设备勾选详细
export function getOnepc(id) {
  return request({
    url: '/laboratory/onepc/' + id,
    method: 'get'
  })
}

// 新增一体机设备勾选
export function addOnepc(data) {
  return request({
    url: '/laboratory/onepc',
    method: 'post',
    data: data
  })
}

// 修改一体机设备勾选
export function updateOnepc(data) {
  return request({
    url: '/laboratory/onepc',
    method: 'put',
    data: data
  })
}

// 删除一体机设备勾选
export function delOnepc(id) {
  return request({
    url: '/laboratory/onepc/' + id,
    method: 'delete'
  })
}
